AMCLEANUP(8)

NAME
amcleanup - run the Amanda cleanup process after a failure

SYNOPSIS

amcleanup [-k] [-p] [-r] [-v] config

DESCRIPTION

Amcleanup generates the Amanda Mail Report and updates the Amanda databases after a system failure on a tape server host. This cleanup process is normally done automatically as part of the amdump program, but if amdump cannot complete for some reason (usually because of a tape server host crash), amcleanup must be run some time later (usually during system boot).

The amcleanupdisk program is run with the same [-r] and [-v] options.

See the amanda(8) man page for more details about Amanda.

OPTIONS

-k
    Kill all process listed in the log file are their child. if there is no log file, then kill all amdump, amflush and amvault process and their child.

-p
    Do the cleanup only if all process listed in the log file are already terminated.

-r
    Remove bad file in holding disk. This options is passed to amcleanupdisk.

-v
    Generate verbose output. This options is passed to amcleanupdisk.

EXAMPLES

This example runs the Amanda cleanup process by hand after a failure.
% amcleanup daily

Putting the following line in a system boot script (e.g. /etc/rc.local) runs the Amanda cleanup process as part of the reboot, eliminating the need to run it by hand.
/usr/local/sbin/amcleanup daily

If nothing needs to be done, amcleanup exits normally with the message:
amcleanup: no unprocessed logfile to clean up.

SEE ALSO

amanda(8), amdump(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>